summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2023-04-26 08:29:31 +0300
committerLars Wirzenius <liw@liw.fi>2023-04-26 08:29:31 +0300
commit258090d55867f8db60556f74ea47f04b1c63c4a3 (patch)
tree7fb4a23cd909d4d084921d37a8a98b9655f69c05
parentffe8085b7f6c21bb5ab3c9a446e77fae0df2645e (diff)
downloadhtml-page-258090d55867f8db60556f74ea47f04b1c63c4a3.tar.gz
tests: add a script to run various tests and QA stuff
Sponsored-by: author
-rwxr-xr-xcheck8
1 files changed, 8 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..f9133ed
--- /dev/null
+++ b/check
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -euo pipefail
+
+cargo clippy -q -- --deny=clippy::all
+cargo build -q --all-targets
+cargo test -q
+cargo deny check